> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mixpanel.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Cancel a Deletion

> Cancel a deletion task that is still in progress



## OpenAPI

````yaml openapi/gdpr.openapi.yaml DELETE /data-deletions/v3.0/{tracking_id}
openapi: 3.0.2
info:
  title: GDPR API
  description: >-
    The following retrieval and deletion API is made for GDPR and CCPA
    compliance.
  license:
    name: MIT
    url: https://opensource.org/licenses/MIT
  contact:
    url: https://mixpanel.com/get-support
  version: 3.0.0
servers:
  - url: https://{regionAndDomain}.com/api/app
    description: Mixpanel's application API server.
    variables:
      regionAndDomain:
        default: mixpanel
        enum:
          - mixpanel
          - eu.mixpanel
          - in.mixpanel
        description: |
          The server location to be used:
            * `mixpanel` - The default (US) servers used for most projects
            * `eu.mixpanel` - EU servers if you are enrolled in EU Data Residency
            * `in.mixpanel` - India servers if you are enrolled in India Data Residency
security:
  - OAuthToken: []
tags:
  - name: Cancel a Deletion
    description: Cancels an existing deletion task
  - name: Check Status of Deletion
    description: Checks the status of an existing deletion task
  - name: Check Status of Retrieval
    description: Checks the status of a data retrieval job
  - name: Create a Deletion
    description: >-
      Creates a task that specifies a list of users in a particular project to
      delete
  - name: Create a Retrieval
    description: Creates a data retrieval job
paths:
  /data-deletions/v3.0/{tracking_id}:
    parameters:
      - $ref: '#/components/parameters/TrackingId'
      - $ref: '#/components/parameters/ProjectToken'
    delete:
      tags:
        - Cancel a Deletion
      summary: Cancel a Deletion
      description: Cancel a deletion task that is still in progress
      operationId: delete-deletion
      responses:
        '204':
          description: Success
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: Details about the error that occurred
                  status:
                    type: string
                    enum:
                      - error
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: Details about the error that occurred
                  status:
                    type: string
                    enum:
                      - error
components:
  parameters:
    TrackingId:
      name: tracking_id
      in: path
      schema:
        type: string
      description: The task ID shown in the response
      required: true
    ProjectToken:
      name: token
      in: query
      schema:
        type: string
      description: Your project token
      required: true
  securitySchemes:
    OAuthToken:
      type: http
      scheme: bearer
      description: OAuth Token

````